Blame SOURCES/valgrind-3.15.0-exp-sgcheck-no-aarch64.patch

88cf0f
commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8
88cf0f
Author: Mark Wielaard <mark@klomp.org>
88cf0f
Date:   Sat May 18 14:55:50 2019 +0200
88cf0f
88cf0f
    aarch64 (arm64) isn't a supported architecture for exp-sgcheck.
88cf0f
    
88cf0f
    exp-sgcheck/pc_main.c contains:
88cf0f
    
88cf0f
       #if defined(VGA_arm) || defined(VGA_arm64)
88cf0f
          VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n");
88cf0f
          VG_(exit)(1);
88cf0f
       #endif
88cf0f
    
88cf0f
    But exp-sgcheck/tests/is_arch_supported checked against uname -m
88cf0f
    which returns aarch64 (not arm64). Fix the test check so the
88cf0f
    exp-sgcheck tests are skipped instead of producing failures.
88cf0f
88cf0f
diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_supported
88cf0f
index 818cc61..d4c6191 100755
88cf0f
--- a/exp-sgcheck/tests/is_arch_supported
88cf0f
+++ b/exp-sgcheck/tests/is_arch_supported
88cf0f
@@ -10,6 +10,6 @@
88cf0f
 # architectures.
88cf0f
 
88cf0f
 case `uname -m` in
88cf0f
-  ppc*|arm*|s390x|mips*) exit 1;;
88cf0f
+  ppc*|aarch64|arm*|s390x|mips*) exit 1;;
88cf0f
   *)         exit 0;;
88cf0f
 esac